=== debian/changelog ===
sqlite-modern-cpp (3.2+git20231203-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 12:08:30 -0500

sqlite-modern-cpp (3.2+git20231203-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1093575)

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2025 19:39:16 -0500

sqlite-modern-cpp (3.2+git20231203-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * debian/: Drop all patches around catch2 v3 support.

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Jul 2024 10:39:23 -0400

sqlite-modern-cpp (3.2+git20231203-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Fri, 12 Jul 2024 16:05:58 -0400

sqlite-modern-cpp (3.2+git20231203-1) unstable; urgency=medium

  * Initial release. (Closes: #1073867)

 -- Boyuan Yang <byang@debian.org>  Wed, 19 Jun 2024 23:03:46 -0400
