=== debian/control ===
Source: sqlite-modern-cpp
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake (>= 3.23.1),
 libsqlite3-dev,
 catch2 (>= 2.0),
 catch2 (<< 3),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/SqliteModernCpp/sqlite_modern_cpp
Vcs-Git: https://salsa.debian.org/debian/sqlite-modern-cpp.git
Vcs-Browser: https://salsa.debian.org/debian/sqlite-modern-cpp
Description: Modern sqlite cpp wrapper
 This library is a lightweight modern C++ wrapper around sqlite C API.

Package: sqlite-modern-cpp-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: ${source:Synopsis} - development files
 ${source:Extended-Description}
 .
 This package provides the header-only library for sqlite-modern-cpp.
